<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Table Names</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for tableNames {SparkR}"><tr><td>tableNames {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Table Names</h2>

<h3>Description</h3>

<p>Returns the names of tables in the given database as an array.
</p>


<h3>Usage</h3>

<pre>
tableNames(sqlContext, databaseName = NULL)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>databaseName</code></td>
<td>
<p>name of the database</p>
</td></tr>
</table>


<h3>Value</h3>

<p>a list of table names
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
tableNames(sqlContext, "hive")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
